<template>
  <div class="overflow-auto" style="max-height: 400px;" v-if="listarAmigos>=1">
    <div class="ml-4">
      <h4 class="text-white text-left bg-none pt-4 ml-4 titulo">Amigos</h4>
      <div class="list-group">
        <div v-for="usuario in amigos" :key="usuario.id">

          <a href="#"
            class="list-group-item list-group-item-action border-0 d-flex align-items-center text-white bg-transparent">
            <div class="contenedorImg">
              <div id="iconoEstado"></div>
              <img :src="fotoPerfil" id="iconoPerfil">
            </div>
            {{ usuario.nombreUsuario }}
          </a>
        </div>
      </div>
    </div>
  </div>
</template>

  
<script>
import axios from "axios";
import { buscarImagenDePerfilDeUnUsuario } from "@/Services/muro/MuroService.js"


export default {
  name: "CuadroAmigos",
  data() {
    return {
      amigos: [],
      fotoPerfil:null,

    };
  },
  methods: {
    listarAmigos() {
      axios
        .get("https://localhost:3001/solicitudes/listaAmigos")
        .then((response) => {
          this.amigos = response.data;
          console.log("amigos 1")
          console.log(amigos)
        })
        .catch((error) => {
          console.log(error);
        });
    },
        async buscarFotoPerfil() {
            try {
                this.fotoPerfil = await buscarImagenDePerfilDeUnUsuario(this.usuario);

            } catch (e) {
                console.log(e)
            }
        },
  },
  created() {
    this.listarAmigos();
  },
};
</script>
  
<style scoped>
#solicitud {
  flex-direction: row;
  background-color: transparent;
  color: white;
  overflow: hidden;
}

#iconoPerfil {
  border-radius: 50%;
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
}

#iconoEstado {
  border-radius: 50%;
  border: 3px solid #42b220;
  background-repeat: no-repeat;
  background-size: cover;
  width: 10px;
  height: 10px;
  margin: 5px;
  position: absolute;
  background-color: #42b220;

}

.contenedorImg {
  width: 50px;
  height: 50px;
  overflow: hidden;
}



/*Fuente del Código original: https://dev.to/xtrp/how-to-create-a-beautiful-custom-scrollbar-for-your-site-in-plain-css-1mjg */
/* custom scrollbar */
::-webkit-scrollbar {
  width: 20px;
}

::-webkit-scrollbar-track {
  background-color: transparent;
}

::-webkit-scrollbar-thumb {
  background: linear-gradient(180deg, rgba(15, 15, 156, 1) 16%, rgba(15, 16, 158, 1) 22%, rgba(11, 51, 230, 1) 47%, rgba(0, 212, 255, 1) 93%);
  border-radius: 20px;
  border: 6px solid transparent;
  background-clip: content-box;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #a8bbbf;
}
</style>